Welcome

M9185A PXI DAC

Soft Front Panel

The M9185A DAC soft front panel (SFP) provides you with a useful interactive graphical interface for controlling the module. The SFP helps you with the following tasks:

  • Verify that the module is properly installed and working in your system — important when a module is installed for the very first time

  • Learn about the module capability and behavior through interactive use

  • Learn how to program the instrument

  • Verify and debug your system

The M9185A DAC Startup Guide provides instructions for installing the SFP. After the SFP is installed, you can launch it from the Start > All Programs > Agilent Technologies program group, or from the relevant module node in the Agilent Connection Expert software.


Getting Started

You can launch the M9185A DAC SFP interface from the Start > All Programs > Agilent Technologies program group on your computer. This action opens a dialog box listing the connected modules that are supported by the software driver.

Select a module from the list and click Connect. This will then open up the SFP interface of the selected module.

Enabling Simulation Mode will allow you access to the SFP without the presence of the actual module.


SFP Tour

Launch the Soft Front Panel (SFP) from the Start > All Programs > Agilent Technologies program group.

Basic Format

The following picture shows basic format of the Soft Front Panel for the M9185 DAC module.

Menu Items

  • File menu

    • Connect – Brings up the instrument connection dialog, which allows you to select a specific module (or simulation mode).

    • Exit – Closes the SFP application.

  • View menu

    • Preferences – Allows you to select the font size of the text shown on the SFP.

  • Utility menu

    • Reset – Reset the module using the driver reset function.

    • Errors – Queries the module for errors.

  • Tools menu

    • Monitor Driver Calls – Brings up a dialog showing the driver calls made by the SFP for controlling the instrument.

  • Help menu

    • Help Contents – Brings up this help file.

    • Driver Help – Brings up the help for the instrument driver.

    • Online Support – Brings up the Agilent Web support site for this instrument.

    • About – Brings up the About dialog, which shows Soft Front Panel version and instrument driver information.

Status Bar

The status bar on the bottom of the main window shows following:

  • Connection status – Shows address of the module that SFP is connected to currently or Simulation Mode (if the simulation mode is enabled). Click the status to bring up the File | Connect dialog.

  • Error Status – Shows Error or No Error to indicate errors. Click on the error status to bring up the Utility | Errors dialog.


Connecting to a Module

From the File menu, select Connect. This action opens a dialog box listing all the connected modules.

Select a module from the list and click Connect.


Checking the Module Status

The easiest way to check the module status is to run the SFP software and select a module (see Connecting to a Module).

From the SFP utilities menu, reset the module (Utility > Reset) and query the module for errors (Utility > Errors).


SFP Tour

Configure the Trigger or Event Mode

Select the trigger or event type. There are 5 modes available:

  • Immediate

  • Immediate + External Hardware Output Pulse

  • Immediate + PXI Bus Output Pulse

  • External Hardware Input Pulse

  • PXI Bus Input Pulse

Configure the pulse width and edge for the input or output pulse.

Select the PXI trigger bus lines to be enabled if Trigger and Event type is set to:

  • Immediate + PXI Bus Output Pulse

  • PXI Bus Input Pulse


SFP Tour

Configure the Voltage/Current Level

There are up to 16 channels that can be configured individually to output current or voltage. Voltage range is from -16.0 V to 16.0 V. Current range is from -0.02 A to 0.02 A.

Select the radio button to indicate voltage or current mode. Enter the corresponding voltage or current level. For example, 16 V is applied to Channel 1.

A red border will appear if incorrect range is entered.


SFP Tour

Configure the Output Switch

Select the individual channels or group to be enabled/disabled using the radio button. Select ON or OFF to enable/disable the selected channel or group. In this example, Channel 1 output switch is turned ON.


SFP Tour

Apply Configurations

Click the SET button to apply all configurations set in Configure the Trigger or Event Mode, Configure the Voltage/Current Level, and Configure the Output Switch.

A green LED will appear to indicate a particular channel is enabled.


Resetting the Module to its Default Factory Settings

From the Utility menu, select Reset. Refer to the topic, SFP Tour.


Viewing and Clearing Error Conditions

From the Utility menu, select Errors. Refer to the topic, SFP Tour.